Skip to main content
GET
List encrypted files

Authorizations

Authorization
string
header
required

Send your access token as header Authorization: Bearer {accessToken}

Authorization
string
header
required

Your API key that starts with sk_live or sk_test. You can create yours at go.prem.io/api-keys.

Query Parameters

limit
integer
default:20

Maximum number of files to return

offset
integer
default:0

Number of files to skip for pagination

Required range: x >= 0

Search term to filter files by name

type
enum<string>

Filter files by type

Available options:
image,
document,
video,
audio,
archive,
general
from
string

Minimum date to filter files

to
string

Maximum date to filter files

Response

List of encrypted files retrieved successfully

Response containing a paginated list of encrypted files

status
enum<integer>
required

Status code of the response

Available options:
200,
201,
202
data
object
required

Response data containing the requested object

message
string | null
required

Message of the response, human readable

Example:

"Resource created successfully"

env
enum<string>
required

API environment

Available options:
development,
production
error
string | null

Error message of the response, human readable

Example:

"Invalid email address"

log

Useful informaiton, not always present, to debug the response

Examples:

"Some pertinent log message"

validator

Validator response object, each key is the field name and value is the error message

Example:
support_id
string<uuid> | null

Support ID linked to the response, used to identify it when talking with our team

Example:

"support_uuidv7-something-else"